﻿@model IEnumerable<MIMS.Portal.ViewModels.Store.StoreViewModel>
@using MIMS.Portal.Commons.Extensions;


<div class="table-responsive">
    <div class="table-responsive">
        <table class="table table-hover header-border text-nowrap">
            <thead>
                <tr>
                    <th>@Html.DisplayNameFor(model => model.StoreName)</th>
                    <th>@Html.DisplayNameFor(model => model.BusinessFullName)</th>
                    <th>@Html.DisplayNameFor(model => model.Mobile)</th>
                    <th>@Html.DisplayNameFor(model => model.Phone)</th>
                    <th>@Html.DisplayNameFor(model => model.PostalCode)</th>
                    <th>@Html.DisplayNameFor(model => model.ProvinceId)</th>
                    <th>@Html.DisplayNameFor(model => model.CountyId)</th>
                    <th>@Html.DisplayNameFor(model => model.CityId)</th>
                    <th>@Html.DisplayNameFor(model => model.ResidenceType)</th>
                    <th>@Html.DisplayNameFor(model => model.DocumentNumber)</th>
                    <th>@Html.DisplayNameFor(model => model.DocumentStartDate)</th>
                    <th>@Html.DisplayNameFor(model => model.DocumentEndDate)</th>
                    <th>@Html.DisplayNameFor(model => model.EconomicCode)</th>
                    <th>@Html.DisplayNameFor(model => model.TaxTrackingCode)</th>
                    <th>@Html.DisplayNameFor(model => model.Status)</th>
                    <th>@Html.DisplayNameFor(model => model.ReviewComment)</th>
                    <th>@Html.DisplayNameFor(model => model.CreatedDate)</th>
                    <th><em class="fa fa-cog"></em></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td>@item.StoreName<br /><small class="mt-2">@item.EnglishStoreName</small></td>
                        <td>@item.BusinessFullName</td>
                        <td>@item.Mobile</td>
                        <td>@item.Phone</td>
                        <td>@item.PostalCode</td>
                        <td>@item.ProvinceName</td>
                        <td>@item.CountyName</td>
                        <td>@item.CityName</td>
                        <td>@Html.DisplayFor(modelItem => item.ResidenceType)</td>
                        <td>@item.DocumentNumber</td>
                        <td>@item.DocumentStartDate</td>
                        <td>@item.DocumentEndDate</td>
                        <td>@item.EconomicCode</td>
                        <td>@item.TaxTrackingCode</td>
                        <td>
                            @{
                                var statusColor = "default";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Pending)
                                    statusColor = "warning";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.PreApproved)
                                    statusColor = "info";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Approved)
                                    statusColor = "success";

                                if (item.Status == MIMS.Portal.ValueObjects.Enum.ReviewStatus.Rejected)
                                    statusColor = "danger";
                            }

                            <i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)
                        </td>
                        <td>@item.ReviewComment</td>
                        <td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>
                        <td>
                            <a asp-action="Details" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>
                            <a asp-action="Edit" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-info fa fa-fw fa-edit" data-toggle="tooltip" title="ویرایش"></a>
                            <a asp-action="Delete" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                            <a asp-action="Review" asp-controller="Stores" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-check-circle" data-toggle="tooltip" title="تایید اطلاعات"></a>

                            @*<a href="/Upload/Index?id=@item.Id" class="btn btn-default"><em class="fa fa-upload"></em></a>*@
                        </td>
                    </tr>
                }

            </tbody>
        </table>
    </div>
</div>
